Get element by id
GET
/openapi/order/{id}
const url = 'https://open-api.replyco.com/openapi/order/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://open-api.replyco.com/openapi/order/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
object
id
string format: uuid
purchaseDate
string format: date-time
marketOrderId
string
latestShipDate
string format: date-time
status
string
orderTotalAmount
number format: double
gbpTotalAmount
number format: double
orderCurrency
string
type
string
createdDate
Default = now
string format: date-time
orderURL
string
spareBool
Spare bool field for different integrations For Shopify = true if order is draft
boolean
marketCustomerId
Customer field only for model, because some markets api sent order with customer
integer format: int64
integrationId
required
string format: uuid
customerId
required
string format: uuid
subject
string
linnworksFolderNames
Json string format
string
linnworksOrderId
string
linnworksOrderNumId
Number order id(which visible for user)
integer format: int32
receivedDate
string format: date-time
scheduledDeliveryFrom
string format: date-time
scheduledDeliveryTo
string format: date-time
totalWeight
number format: double
postageCostExTax
number format: double
postageCost
number format: double
totalDiscount
number format: double
trackingNumber
string
paymentMethod
string
packageType
string
packageCategory
string
shippingService
string
shippingServiceType
integer format: int32
shippingServiceCost
number format: double
shippedTime
string format: date-time
shipServiceLevel
string
paymentStatus
string
paymentTime
string format: date-time
buyerUserID
string
shopName
string
transactionsIds
string
customerName
string
customerMail
string
attachmentUrl
string
paid
boolean
recipientName
string
shopOrderNumber
string
linnworksOrderIdentifier
integer format: int32
isAmazonFBA
boolean
comment
string
sellingManagerSalesRecordNumber
string
sellerMarketplaceId
string
billbeeTags
string
shipmentAddress
object
id
string format: uuid
addressLine1
string
addressLine2
string
addressLine3
string
city
string
country
string
postalCode
string
state
State or region
string
phone
string
billingAddress
object
id
string format: uuid
addressLine1
string
addressLine2
string
addressLine3
string
city
string
country
string
postalCode
string
state
State or region
string
phone
string
orderItems
If you have products or variations already you have to use them instead of create the same, because of unique MarketId and SKU rule
Array<object>
object
productVariationId
Leave empty if attach new one on order creating
string format: uuid
quantity
Ordered amount
integer format: int32
price
Price per item in order
number format: double
productVariation
object
id
string format: uuid
sku
string
asin
string
name
string
cost
number format: double
costIncTax
number format: double
weight
number format: double
variationUrl
string
variationPictureUrl
string
marketId
string
parentProductId
Leave empty if create new one with this variation
string format: uuid
parentProduct
object
id
string format: uuid
marketItemId
string
title
string
quantity
integer format: int32
category
string
currentPrice
number format: double
currency
string
shipPrice
number format: double
shipCurrency
string
productUrl
string
description
string
taxPrice
number format: double
taxCurrency
string
spareString
Spare string field for different integrations Shopify - parent product id (products it’s a variant of parent product)
string
createdDate
Default = now
string format: date-time
discountValue
number format: double
barcodeNumber
string
integrationId
required
string format: uuid
shopType
required
integer format: int32
pictureURL
string
notes
Array<object>
object
id
string format: uuid
note
required
string
username
string
Example
{ "shippingServiceType": "0 - None", "linnworksOrderIdentifier": "0 - NotExists", "orderItems": [ { "productVariation": { "parentProduct": { "shopType": "0 - PlaceholderDoNotUse" } } } ]}Unauthorized